Name:           dnstracer
Version:        1.10
Release:    1%{?dist}
Summary:        Trace DNS queries to the source

License:        BSD
URL:            http://www.mavetju.org/unix/dnstracer.php
Source0:        http://www.mavetju.org/download/dnstracer-%{version}.tar.bz2

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  perl-podlators

Patch0:          with_debug.patch

%description
dnstracer determines where a given Domain Name Server (DNS) gets its
information from, and follows the chain of DNS servers back to the
servers which know the data.

%prep
%autosetup -p1 -n %{name}


%build
%make_build


%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_mandir}/man8
%make_install PREFIX=%{buildroot}%{_prefix} MANPREFIX=%{buildroot}%{_mandir}/man8/


%files
%license LICENSE
%doc README CONTACT CHANGES
%{_bindir}/dnstracer
%{_mandir}/man8/dnstracer.8*


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.10-1
- initial build
